summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Brodsky2015-10-01 16:40:47 +0200
committerKevin Brodsky2015-10-01 18:12:20 +0200
commit1ba98372184d22961fd69fdb8b758fd1761bfc1a (patch)
tree9a0dcc5e023d87edd53d72906dc02cdfc6a41fe9
parenta2e36db04865f781162b7f066ec743db4c79e297 (diff)
downloadaur-1ba98372184d22961fd69fdb8b758fd1761bfc1a.tar.gz
upgpkg: libbobcat 4.01.01
- Upstream moved to GitHub. - For some reason, ./build install now has a weird behaviour, requiring the package path to be given relative to the source path. This is done using Python for the sake of simplicity, hence the new python build dependency.
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD29
2 files changed, 31 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 67ca1d090cc..1a9a1be99d5 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,20 +1,22 @@
pkgbase = libbobcat
pkgdesc = Bobcat (Brokken's Own Base Classes And Templates) library
- pkgver = 3.25.01
+ pkgver = 4.01.01
pkgrel = 1
- url = http://bobcat.sourceforge.net
+ url = https://fbb-git.github.io/bobcat/
arch = i686
arch = x86_64
license = GPL
- makedepends = icmake
+ makedepends = icmake>=7.22.01
makedepends = openssl
- makedepends = libmilter
- makedepends = libx11
- makedepends = yodl
+ makedepends = readline
+ makedepends = libmilter>=8.14.4
+ makedepends = libx11>=1.6.2
+ makedepends = yodl>=3.05.00
+ makedepends = python
depends = openssl
- depends = libx11
- source = http://downloads.sourceforge.net/project/bobcat/bobcat/3.25.01/bobcat_3.25.01.orig.tar.gz
- md5sums = df15f4b981df4f423c408d31198d94c5
+ depends = libx11>=1.6.2
+ source = https://github.com/fbb-git/bobcat/archive/4.01.01.tar.gz
+ md5sums = ad6d9aa566f2edd75307d82e7d5cdbf7
pkgname = libbobcat
diff --git a/PKGBUILD b/PKGBUILD
index 03e4869268f..a84de8b2642 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,20 +1,22 @@
# Maintainer: Kevin Brodsky <corax26 at gmail dot com>
# Contributor: Anton Jongsma <anton@felrood.nl>
pkgname=libbobcat
-pkgver=3.25.01
+pkgver=4.01.01
pkgrel=1
pkgdesc="Bobcat (Brokken's Own Base Classes And Templates) library"
arch=('i686' 'x86_64')
-url="http://bobcat.sourceforge.net"
+url="https://fbb-git.github.io/bobcat/"
license=('GPL')
-depends=('openssl' 'libx11')
-makedepends=('icmake' 'openssl' 'libmilter' 'libx11' 'yodl')
+# Versions taken from the 'required' file in sources
+depends=('openssl' 'libx11>=1.6.2')
+makedepends=('icmake>=7.22.01' 'openssl' 'readline' 'libmilter>=8.14.4'
+ 'libx11>=1.6.2' 'yodl>=3.05.00' 'python')
optdepends=()
-source=("http://downloads.sourceforge.net/project/bobcat/bobcat/${pkgver}/bobcat_${pkgver}.orig.tar.gz")
-md5sums=('df15f4b981df4f423c408d31198d94c5')
+source=("https://github.com/fbb-git/bobcat/archive/${pkgver}.tar.gz")
+md5sums=('ad6d9aa566f2edd75307d82e7d5cdbf7')
build() {
- cd "$srcdir/bobcat-${pkgver}"
+ cd "$srcdir/bobcat-${pkgver}/bobcat"
CXXFLAGS="$CXXFLAGS --std=c++11 -pthread"
LDFLAGS="$LDFLAGS -pthread"
./build libraries all
@@ -22,7 +24,16 @@ build() {
}
package() {
- cd "$srcdir/bobcat-${pkgver}"
- ./build install "$pkgdir" "$pkgdir"
+ cd "$srcdir/bobcat-${pkgver}/bobcat"
+
+ # There seems to be a bug in the install function that causes the package
+ # directory to be used as a relative path from the current directory for
+ # gzip commands. I have found no other way to work around this issue than to
+ # make the package directory relative; the easiest way to do that is using
+ # Python (which is I think a reasonable dependency).
+ relpkgdir=$(python -c "import os.path; print(os.path.relpath('$pkgdir', '.'))")
+ ./build install "$relpkgdir" "$relpkgdir"
+ # Normal version:
+ #./build install "$pkgdir" "$pkgdir"
}